﻿<%@ Page Language="VB" %>
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.IO" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Protected Sub btnSendSMS_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim strMobileNo As String
        Dim strTextMsg As String
        Dim strGatewayResponse As String
        Dim strSMSScheduleDate As String

        'Note: All numbers in India must start with Country Code (91 for India) - Message may not get delivered if Country Code is not added to numbers submitted to this HTTP API
	'Get 12 digit mobile number (with country code)
        strMobileNo = "919860889717"
        
        'Bulk SMS may be submitted by preparing comma delimited list of phone numbers from list of contacts
        'Restrict to max 100 nos per http submission. Use multiple submission in a loop case of more than 100 nos. 
        'strMobileNo = "919860889717,919225245088,919988776655"
        
        'Assemble message string
        strTextMsg = "Download FREE Contact Management and bulk SMS S/w 'EzSampark' from businesssms.co.in"
        
        'Assign Schedule Date, Assign Blank or do not pass this paramater for immediate delivery
        strSMSScheduleDate = "25/03/2009 12:00 AM"      'Format "dd/MM/yyyy hh:mm tt"

        'Sample Code to Parse Culture independent Date (this will read date in provided format, irrespective of system date format)
        'Dim cultEnGb As New System.Globalization.CultureInfo("en-GB")    'Date format in dd/MM/yyyy	
        'Dim dtSubmitSchedule As Date
        'dtSubmitSchedule = DateTime.ParseExact("25/03/2009 12:00 AM", "dd/MM/yyyy hh:mm tt", cultEnGb)        

        'Send SMS to users mobile - Read UserID and Password from Web.config - configuration file
        strGatewayResponse = SendSMSUsingBS(ConfigurationManager.AppSettings("WebSMSAcID"), ConfigurationManager.AppSettings("WebSMSAcPwd"), strMobileNo, strTextMsg, strSMSScheduleDate)
        Response.Write(strGatewayResponse)
	
        'Response contains: "Message Submitted" on successful submission    
        'Response contains: "Scheduled Successfully" on successful scheduling
    End Sub
    
    Protected Function SendSMSUsingBS(ByVal strUser As String, ByVal strPassword As String, ByVal strRecip As String, ByVal strMsgText As String, Optional ByVal strSMSScheduleDate As String = "") As String
        Dim strUrl As String
        strUrl = "https://www.businesssms.co.in/SMSaspx/"
        strUrl += "?ID=" + HttpUtility.UrlEncode(strUser) _
                + "&Pwd=" + HttpUtility.UrlEncode(strPassword) _
                + "&PhNo=" + HttpUtility.UrlEncode(strRecip) _
                + "&Text=" + HttpUtility.UrlEncode(strMsgText)
        If strSMSScheduleDate <> "" Then
            strUrl += "&ScheduleAt=" + HttpUtility.UrlEncode(strSMSScheduleDate)
        End If
        Dim objURI As Uri = New Uri(strUrl)
        Dim objWebRequest As WebRequest = WebRequest.Create(objURI)
        Dim objWebResponse As WebResponse = objWebRequest.GetResponse()
        Dim objStream As Stream = objWebResponse.GetResponseStream()
        Dim objStreamReader As StreamReader = New StreamReader(objStream)
        Dim strHTML As String = objStreamReader.ReadToEnd

        SendSMSUsingBS = strHTML
    End Function
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Button runat="server" ID="btnSendSMS" 
            Text = "Send SMS (Trigger http submit)" onclick="btnSendSMS_Click" />
            
    </div>
    </form>
</body>
</html>
